Skip to main content
PATCH
/
v4
/
calendar-connections
/
connections
/
{connectionId}
Update calendar connection
curl --request PATCH \
  --url https://api.example.com/v4/calendar-connections/connections/{connectionId} \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "primaryCalendar": "primary",
  "selectedCalendars": [
    "primary",
    "work@group.calendar.google.com"
  ],
  "validateAvailability": true,
  "cancelIfDeclinedOrDeleted": true,
  "disableAttendeeNotification": false,
  "syncBuffersToCalendar": false
}
'
import requests

url = "https://api.example.com/v4/calendar-connections/connections/{connectionId}"

payload = {
"primaryCalendar": "primary",
"selectedCalendars": ["primary", "work@group.calendar.google.com"],
"validateAvailability": True,
"cancelIfDeclinedOrDeleted": True,
"disableAttendeeNotification": False,
"syncBuffersToCalendar": False
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryCalendar: 'primary',
selectedCalendars: ['primary', 'work@group.calendar.google.com'],
validateAvailability: true,
cancelIfDeclinedOrDeleted: true,
disableAttendeeNotification: false,
syncBuffersToCalendar: false
})
};

fetch('https://api.example.com/v4/calendar-connections/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Path Parameters

connectionId
string
required

Unique identifier of the calendar connection

Example:

"conn-uuid"

Query Parameters

userId
string

User ID that owns the connection (admin only)

Example:

"user-uuid"

Body

application/json
primaryCalendar
string

Calendar ID to use for creating new events (e.g. "primary" for Google, or a specific calendar ID)

Example:

"primary"

selectedCalendars
string[]

Calendar IDs to check for availability conflicts. Pass the calendar IDs from the GET /calendars endpoint.

Example:
["primary", "work@group.calendar.google.com"]
validateAvailability
boolean

Whether to check this connection for availability conflicts when booking

Example:

true

cancelIfDeclinedOrDeleted
boolean

Whether to auto-cancel the meetergo appointment if the attendee declines or deletes the calendar event

Example:

true

disableAttendeeNotification
boolean

Whether to suppress attendee notifications on the calendar event

Example:

false

syncBuffersToCalendar
boolean

Whether to sync buffer events to the connected calendar

Example:

false

Response

200

Connection updated successfully